Loading...
Searching...
No Matches
mem_op.h File Reference

Memory access functions (ARM specific). More...

`#include <l4/sys/compiler.h>`
`#include <l4/sys/syscall_defs.h>`
Include dependency graph for mem_op.h:

Go to the source code of this file.

## Enumerations

enum | L4_mem_op_widths { L4_MEM_WIDTH_1BYTE = 0 , L4_MEM_WIDTH_2BYTE = 1 , L4_MEM_WIDTH_4BYTE = 2 }
| Memory access width definitions. More...

## Functions

unsigned long | l4_mem_read (unsigned long virtaddress, unsigned width)
| Read user task memory from kernel privilege level.
void | l4_mem_write (unsigned long virtaddress, unsigned width, unsigned long value)
| Write user task memory from kernel privilege level.
unsigned long | l4_mem_arm_op_call (unsigned long op, unsigned long va, unsigned long width, unsigned long value)
| Implementations.

## Detailed Description

Memory access functions (ARM specific).

Date
  2010-10

Author
  Adam Lackorzynski adam@.nosp@m.os.i.nosp@m.nf.tu.nosp@m.-dre.nosp@m.sden..nosp@m.de

Definition in file mem_op.h.